Bug 974711 - Drop HAL and beefy install 'ad banner' for F19 final
Drop HAL and beefy install 'ad banner' for F19 final
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-logos (Show other bugs)
19
All All
unspecified Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F19Blocker/F19FinalBlocker
  Show dependency treegraph
 
Reported: 2013-06-14 18:34 EDT by Adam Williamson
Modified: 2013-06-23 02:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: fedora-logos-19.0.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-23 02:24:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-06-14 18:34:01 EDT
The F19 install process displays a rotating set of 'ad banners' sourced from fedora-logos. A couple of these are pretty jokey and I'm guessing they're pre-release fun/placeholders meant to be removed before final, so I'm filing this to make sure that happens.

The 'Make-Fedora-Better.jpg' image uses Beefy, which apart from anything is kinda tied to Fedora 18 and arguably violates Final criterion:

"The proposed final Fedora artwork must be included and enabled by default for all graphical bootloaders and the desktop background. All Fedora artwork must be consistent with the proposed final theme"

The 'Hal.jpg' image is obviously a 2001 joke, but it probably doesn't belong in a final release of a major distribution. Even if that distribution is Fedora. =)

Proposing as a final blocker per above criterion.
Comment 1 Dan Mashal 2013-06-14 18:46:04 EDT
+1
Comment 2 Kamil Páral 2013-06-17 10:21:24 EDT
Here are the images for the reference:
https://git.fedorahosted.org/cgit/fedora-logos.git/tree/rnotes
Comment 3 Adam Williamson 2013-06-17 12:40:56 EDT
Discussed at 2013-06-17 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-17/f19final-blocker-review-6.2013-06-17-16.01.log.txt . We agreed blocker status is questionable here and may depend on the design team's opinion, but it is certainly accepted as a freeze exception issue and we all agreed it would be better if at least the HAL banner were taken out.
Comment 4 Tom "spot" Callaway 2013-06-17 13:55:35 EDT
The hal9000 artwork is a placeholder. I just need the replacement art.
Comment 5 Jaroslav Reznik 2013-06-18 04:45:11 EDT
(In reply to Tom "spot" Callaway from comment #4)
> The hal9000 artwork is a placeholder. I just need the replacement art.

What should be the replacement art?
Comment 6 Jaroslav Reznik 2013-06-18 04:55:50 EDT
(In reply to Jaroslav Reznik from comment #5)
> (In reply to Tom "spot" Callaway from comment #4)
> > The hal9000 artwork is a placeholder. I just need the replacement art.
> 
> What should be the replacement art?

Ok, I got it - replacement art for any banners, not hal related one, sorry ;-).

I've created Design team ticket and pinged the team yesterday - https://fedorahosted.org/design-team/ticket/275
Comment 7 Adam Williamson 2013-06-19 12:57:02 EDT
Discussed at 2013-06-19 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-19/f19final-blocker-review-7.2013-06-19-16.01.log.txt . Accepted at a blocker with the minimum requirement that the HAL banner is inappropriate and must die. Adding other banners in the same format or removing more banners and/or the entire banner functionality would also be accepted as post-freeze changes, but at absolute minimum, we want a new build of fedora-logos without the HAL banner.
Comment 8 Fedora Update System 2013-06-19 14:01:56 EDT
fedora-logos-19.0.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-logos-19.0.4-2.fc19
Comment 9 Kamil Páral 2013-06-20 04:47:46 EDT
fedora-logos-19.0.4-2.fc19 removed HAL banner, verified.
Comment 10 Fedora Update System 2013-06-23 02:24:59 EDT
fedora-logos-19.0.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.